export declare function useFormKitSchema(): {
    addComponent: (component?: string, props?: object, render?: string) => object;
    addElement: (element?: string, children?: any[], attrs?: object, render?: string) => {
        $el: string;
        if: string;
        attrs: object;
        children: any[];
    };
    addGroup: (name: string, children?: object[], render?: string) => {
        $formkit: string;
        if: string;
        name: string;
        children: object[];
    };
    addList: (name: string, children: object[], dynamic?: boolean, render?: string) => {
        $formkit: string;
        if: string;
        name: string;
        dynamic: boolean;
        children: object[];
    };
    addListGroup: (children?: object[], render?: string) => {
        $formkit: string;
        if: string;
        for: string[];
        key: string;
        index: string;
        children: object[];
    };
    addListGroupFunctions: (data: any) => void;
};
